import { z } from 'zod';
export declare const Culture: z.ZodString;
export type Culture = z.infer<typeof Culture>;
export declare const LocalizedString: z.ZodTuple<[z.ZodString, z.ZodString], null>;
export type LocalizedString = z.infer<typeof LocalizedString>;
export declare const LocalizableString: z.ZodRecord<z.ZodString, z.ZodString>;
export type LocalizableString = z.infer<typeof LocalizableString>;
export declare const LocalizedStringSet: z.ZodTuple<[z.ZodString, z.ZodRecord<z.ZodString, z.ZodString>], null>;
export type LocalizedStringSet = z.infer<typeof LocalizedStringSet>;
export type StringSet = {
    [key: string]: z.ZodString;
};
export declare function createLocalizableStringSet<T extends StringSet>(stringSet: z.ZodObject<T>): z.ZodRecord<z.ZodString, z.ZodObject<T, z.UnknownKeysParam, z.ZodTypeAny, z.objectUtil.addQuestionMarks<z.baseObjectOutputType<T>, { [k_1 in keyof z.baseObjectOutputType<T>]: undefined extends z.baseObjectOutputType<T>[k_1] ? never : k_1; }[keyof T]> extends infer T_1 ? { [k in keyof T_1]: z.objectUtil.addQuestionMarks<z.baseObjectOutputType<T>, { [k_1 in keyof z.baseObjectOutputType<T>]: undefined extends z.baseObjectOutputType<T>[k_1] ? never : k_1; }[keyof T]>[k]; } : never, z.baseObjectInputType<T> extends infer T_2 ? { [k_2 in keyof T_2]: z.baseObjectInputType<T>[k_2]; } : never>>;
export type LocalizableStringSet = ReturnType<typeof createLocalizableStringSet>;
export declare const LocalizableStringSet: z.ZodSchema<LocalizableStringSet>;
export declare const Message: z.ZodObject<{
    type: z.ZodString;
    code: z.ZodString;
    parameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    issuer: z.ZodOptional<z.ZodString>;
    localizableStringSet: z.ZodOptional<z.ZodType<z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>>, z.ZodTypeDef, z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>>>>;
    localizedstring: z.ZodOptional<z.ZodTuple<[z.ZodString, z.ZodString], null>>;
}, "strip", z.ZodTypeAny, {
    code: string;
    type: string;
    parameters?: Record<string, string> | undefined;
    issuer?: string | undefined;
    localizableStringSet?: z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>> | undefined;
    localizedstring?: [string, string] | undefined;
}, {
    code: string;
    type: string;
    parameters?: Record<string, string> | undefined;
    issuer?: string | undefined;
    localizableStringSet?: z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>> | undefined;
    localizedstring?: [string, string] | undefined;
}>;
export type Message = z.infer<typeof Message>;
export declare enum WarningType {
    Warn = "WARN"
}
export declare const WarningMessage: z.ZodObject<{
    code: z.ZodString;
    parameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    issuer: z.ZodOptional<z.ZodString>;
    localizableStringSet: z.ZodOptional<z.ZodType<z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>>, z.ZodTypeDef, z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>>>>;
    localizedstring: z.ZodOptional<z.ZodTuple<[z.ZodString, z.ZodString], null>>;
    type: z.ZodNativeEnum<typeof WarningType>;
}, "strip", z.ZodTypeAny, {
    code: string;
    type: WarningType;
    parameters?: Record<string, string> | undefined;
    issuer?: string | undefined;
    localizableStringSet?: z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>> | undefined;
    localizedstring?: [string, string] | undefined;
}, {
    code: string;
    type: WarningType;
    parameters?: Record<string, string> | undefined;
    issuer?: string | undefined;
    localizableStringSet?: z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>> | undefined;
    localizedstring?: [string, string] | undefined;
}>;
export type WarningMessage = z.infer<typeof WarningMessage>;
export declare enum ErrorType {
    AccessDenied = "ACCESS_DENIED",
    ProcessError = "PROCESS_ERROR",
    UnknownResource = "UNKNOWN_RESOURCE",
    TechnicalIssue = "TECHNICAL_ISSUE"
}
export declare const ErrorMessage: z.ZodObject<{
    code: z.ZodString;
    parameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    issuer: z.ZodOptional<z.ZodString>;
    localizableStringSet: z.ZodOptional<z.ZodType<z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>>, z.ZodTypeDef, z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>>>>;
    localizedstring: z.ZodOptional<z.ZodTuple<[z.ZodString, z.ZodString], null>>;
    type: z.ZodNativeEnum<typeof ErrorType>;
}, "strip", z.ZodTypeAny, {
    code: string;
    type: ErrorType;
    parameters?: Record<string, string> | undefined;
    issuer?: string | undefined;
    localizableStringSet?: z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>> | undefined;
    localizedstring?: [string, string] | undefined;
}, {
    code: string;
    type: ErrorType;
    parameters?: Record<string, string> | undefined;
    issuer?: string | undefined;
    localizableStringSet?: z.ZodRecord<z.ZodString, z.ZodObject<StringSet, z.UnknownKeysParam, z.ZodTypeAny, {
        [x: string]: string;
    }, {
        [x: string]: string;
    }>> | undefined;
    localizedstring?: [string, string] | undefined;
}>;
export type ErrorMessage = z.infer<typeof ErrorMessage>;
